package com.admin.major.mapper;

import com.admin.major.domain.MajorInfo;
import com.admin.major.domain.StudentCourse;
import com.admin.major.domain.StudentInfo;

import java.util.List;

public interface SyncTableMapper {

    List<StudentInfo> getStudentInfo(StudentInfo studentInfo);

    List<MajorInfo> getMajorInfo(MajorInfo majorInfoParam);

    List<StudentCourse> getStudentCourse(StudentCourse studentCourse);

    int calcScore();

    int calcRank();

}
